Last modified: 2012-11-28 13:50:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36609 - Undocumented messages and parameters make translating harder
Undocumented messages and parameters make translating harder
Status: VERIFIED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WikidataRepo (Other open bugs)
unspecified
All All
: High blocker (vote)
: ---
Assigned To: Wikidata bugs
https://translatewiki.net/w/i.php?tit...
: i18n
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-05-07 23:01 UTC by Siebrand Mazeland
Modified: 2012-11-28 13:50 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Siebrand Mazeland 2012-05-07 23:01:05 UTC
This extension uses some shorts strings and terminology that may be hard to translate without additional information. This is especially true for undocumented parameters. Please document messages[1] in the 'qqq'
language, or directly in translatewiki.net[2].

Providing accurate message documentation leads to higher quality translations.
This will be especially try for strings like these[3,4]

[1] https://www.mediawiki.org/wiki/I18n#Message_documentation
[2]
https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-wikidatarepo&language=qqq&task=view&limit=500
[3] https://translatewiki.net/w/i.php?title=MediaWiki:Wikibase-propertyedittool-full/qqq&action=edit
[4] https://translatewiki.net/w/i.php?title=MediaWiki:Special-itembytitle/qqq&action=edit
Comment 1 Lydia Pintscher 2012-05-08 15:39:59 UTC
I've reminded everyone in the team about this and John has added some context messages. Is this solved with that or are there still problems currently?
Comment 2 Siebrand Mazeland 2012-05-08 15:45:33 UTC
Thanks a lot for the prompt follow-up, Lydia. Nice work. I especially like the long term actions.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links